nxt.blockchain

## Class ChildChain

- java.lang.Object
- - nxt.blockchain.Chain
  - - nxt.blockchain.ChildChain

-     public class ChildChain
      extends Chain

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ChildChain` | `AEUR`
    `static ChildChain` | `BITSWIFT`
    `static ChildChain` | `IGNIS`
    `static ChildChain` | `MPG`
    `long` | `SHUFFLING_DEPOSIT_NQT`

    - ### Fields inherited from class nxt.blockchain.Chain

      `ONE_COIN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliasHome` | `getAliasHome()`
    `static java.util.Collection<ChildChain>` | `getAll()`
    `AssetDividendHome` | `getAssetDividendHome()`
    `static ChildChain` | `getChildChain(int id)`
    `static ChildChain` | `getChildChain(java.lang.String name)`
    `CurrencyFounderHome` | `getCurrencyFounderHome()`
    `DigitalGoodsHome` | `getDigitalGoodsHome()`
    `java.util.Set<TransactionType>` | `getDisabledTransactionTypes()`
    `ExchangeHome` | `getExchangeHome()`
    `ExchangeOfferHome` | `getExchangeOfferHome()`
    `ExchangeRequestHome` | `getExchangeRequestHome()`
    `OrderHome` | `getOrderHome()`
    `PhasingPollHome` | `getPhasingPollHome()`
    `PhasingVoteHome` | `getPhasingVoteHome()`
    `PollHome` | `getPollHome()`
    `ShufflingHome` | `getShufflingHome()`
    `ShufflingParticipantHome` | `getShufflingParticipantHome()`
    `TaggedDataHome` | `getTaggedDataHome()`
    `TradeHome` | `getTradeHome()`
    `VoteHome` | `getVoteHome()`
    `static void` | `init()`
    `boolean` | `isAllowed(TransactionType transactionType)`
    `boolean` | `isEnabled()`
    `ChildTransactionImpl.BuilderImpl` | `newTransactionBuilder(byte[] senderPublicKey, long amount, long fee, short deadline, Attachment attachment)`

    - ### Methods inherited from class nxt.blockchain.Chain

      `getBalanceHome, getChain, getChain, getDbSchema, getDecimals, getDisabledAPIs, getDisabledAPITags, getId, getName, getPrunableMessageHome, getSchemaTable, getTotalAmount, getTransactionHome, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IGNIS

          public static final ChildChain IGNIS

    - #### AEUR

          public static final ChildChain AEUR

    - #### BITSWIFT

          public static final ChildChain BITSWIFT

    - #### MPG

          public static final ChildChain MPG

    - #### SHUFFLING_DEPOSIT_NQT

          public final long SHUFFLING_DEPOSIT_NQT

  - ### Method Detail

    - #### getChildChain

          public static ChildChain getChildChain(java.lang.String name)

    - #### getChildChain

          public static ChildChain getChildChain(int id)

    - #### getAll

          public static java.util.Collection<ChildChain> getAll()

    - #### init

          public static void init()

    - #### getAliasHome

          public AliasHome getAliasHome()

    - #### getAssetDividendHome

          public AssetDividendHome getAssetDividendHome()

    - #### getCurrencyFounderHome

          public CurrencyFounderHome getCurrencyFounderHome()

    - #### getDigitalGoodsHome

          public DigitalGoodsHome getDigitalGoodsHome()

    - #### getExchangeHome

          public ExchangeHome getExchangeHome()

    - #### getExchangeOfferHome

          public ExchangeOfferHome getExchangeOfferHome()

    - #### getExchangeRequestHome

          public ExchangeRequestHome getExchangeRequestHome()

    - #### getOrderHome

          public OrderHome getOrderHome()

    - #### getPhasingPollHome

          public PhasingPollHome getPhasingPollHome()

    - #### getPhasingVoteHome

          public PhasingVoteHome getPhasingVoteHome()

    - #### getPollHome

          public PollHome getPollHome()

    - #### getShufflingHome

          public ShufflingHome getShufflingHome()

    - #### getShufflingParticipantHome

          public ShufflingParticipantHome getShufflingParticipantHome()

    - #### getTaggedDataHome

          public TaggedDataHome getTaggedDataHome()

    - #### getTradeHome

          public TradeHome getTradeHome()

    - #### getVoteHome

          public VoteHome getVoteHome()

    - #### isAllowed

          public boolean isAllowed(TransactionType transactionType)

      Specified by:
        `isAllowed` in class `Chain`

    - #### getDisabledTransactionTypes

          public java.util.Set<TransactionType> getDisabledTransactionTypes()

      Specified by:
        `getDisabledTransactionTypes` in class `Chain`

    - #### isEnabled

          public boolean isEnabled()

    - #### newTransactionBuilder

          public ChildTransactionImpl.BuilderImpl newTransactionBuilder(byte[] senderPublicKey,
                                                                        long amount,
                                                                        long fee,
                                                                        short deadline,
                                                                        Attachment attachment)

      Specified by:
        `newTransactionBuilder` in class `Chain`